#include <DHT.h>
#include <DHT_U.h>

#include <DS1307.h>

//Номера пинов Arduino, к которым подключается индикатор
#define DISPLAY_CLK_PIN A4  
#define DISPLAY_DIO_PIN A5

#define temp_L_n 9 // Датчик температуры левый нижний
#define temp_L_v 7 //                    левый верхний
#define temp_R_n 5 //                    правый нижний
#define temp_R_v 3 //                    правый верхний

#define nag_L 18 // Нагреватель левый
#define nag_R 19 //             правый

#define Ven_L 29
#define Ven_R 30

#define yell 14     //левый маленький светильник
#define kor 15      //правый маленький светильник
#define orange 16   //правый большой светильник
#define green 17    //левый большой светильник

#define POMP_PIN_LEV   28
#define POMP_PIN_PRAV   31

// даём разумное для пина, к которому подключён датчик влажности почвы
#define HUMIDITY_PIN_LEV_H A9
#define HUMIDITY_PIN_LEV_L A8
#define HUMIDITY_PIN_PRAV_H A7
#define HUMIDITY_PIN_PRAV_L A6

// минимальный порог влажности почвы
#define HUMIDITY_MIN    200
// максимальный порог влажности почвы
#define HUMIDITY_MAX    700
// интервал между проверкой на полив растения
#define INTERVAL        60000
// переменная для хранения показания влажности почвы

int sr_temp = 50;

byte flag_lampa=0;
byte utro = 6;
byte vecher = 20;
byte VOSHOD;
byte DAY;
byte ZAKAT;


// переменная для хранения показания влажности почвы
unsigned int humidity_mid_lev = 0;
unsigned int humidity_mid_prav = 0;

// статическая переменная для хранения времени
unsigned long waitTime = 0;

DHT dht_L_n(temp_L_n, DHT11);
DHT dht_L_v(temp_L_v, DHT11);
DHT dht_R_n(temp_R_n, DHT11);
DHT dht_R_v(temp_R_v, DHT11);

void setup()
{

  Serial.begin(9600);

  pinMode( temp_L_n, OUTPUT);  // для датчиков температуры
  pinMode( temp_L_v, OUTPUT);
  pinMode( temp_R_n, OUTPUT);
  pinMode( temp_R_v, OUTPUT);

  pinMode( nag_L, OUTPUT); // для нагревателей
  pinMode( nag_R, OUTPUT);


//  pinMode( Ven_L, OUTPUT);  // для вентиляторов
//  pinMode( Ven_R, OUTPUT);

  pinMode(POMP_PIN_LEV, OUTPUT);  // для солиноидов
  pinMode(POMP_PIN_PRAV, OUTPUT);

  pinMode( yell, OUTPUT);   //для лампочек
  pinMode( kor, OUTPUT);
  pinMode( orange, OUTPUT);
  pinMode( green, OUTPUT);

  digitalWrite(yell, HIGH);
  digitalWrite(kor, HIGH);
  digitalWrite(orange, HIGH);
  digitalWrite(green, HIGH);

  VOSHOD = (vecher - utro) / 7;
  ZAKAT = (vecher - utro) / 7;
  DAY = (vecher - utro) - (VOSHOD + ZAKAT);

  //  RTC.stop();
  //  RTC.set(DS1307_SEC, 30);    //set the seconds
  //  RTC.set(DS1307_MIN, 45);    //set the minutes
  //  RTC.set(DS1307_HR, 20);     //set the hours
  //  RTC.set(DS1307_DOW, 6);     //set the day of the week
  //  RTC.set(DS1307_DATE, 13);   //set the date
  //  RTC.set(DS1307_MTH, 4);     //set the month
  //  RTC.set(DS1307_YR, 19);     //set the year
  //  RTC.start();

}

void loop()
{
  LAMPA_Time();     // вызов программ
  temperatura();
  Hum();
}

void Time()
{
  Serial.print(RTC.get(DS1307_HR, true)); //read the hour and also update all the values by pushing in true    // вывод на экран времени
  Serial.print(":");
  Serial.print(RTC.get(DS1307_MIN, false)); //read minutes without update (false)
  Serial.print(":");
}
